from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDatabaseRegistrations(Protocol):
    def getRegistrationNames(self) -> list[str]: ...
    def addDatabaseRegistrationsListener(self, Listener: XDatabaseRegistrationsListener) -> None: ...
    def removeDatabaseRegistrationsListener(self, Listener: XDatabaseRegistrationsListener) -> None: ...
